// No Quarter b1.1.0 sample config by S.S.Meyerinchains - 1/07/2007
// Visit www.shitstorm.org/noquarter for more documentation
// This config is for reference only, do not use!

///////////////////////////////////
//* Exclusive No Quarter CVARS * //
///////////////////////////////////

// g_SBCheats - Much like g_tyranny, this prevents even admins with the proper powers to use cheating shrubbot commands.
// Such commands include !ammopack, !medpack, !revive, !disguise and !give
set g_SBcheats 1

// g_XPSaveDirectory - ABSOLUTE path to a new directory that will contain .xp files. 
// This is required for XP save to work.
// Directory must be created before starting your server.
// The path must not be relative like other file CVARs are, meaning, no "xpsave" value for this.
// Something like this will work: "/home/ownername/.etwolf/servername/xpsave"
// Or perhaps: "/home/ownername/noquarter/xpsave"
// Test with a /writexp command to confirm you have set this CVAR properly.
set g_XPSaveDirectory ""

// g_adrenaline - Customize behavior of adrenaline
// 1 - Spawn with no adrenaline needles, can only get them from ammo packs
// 2 - Ammo packs do not contain adrenaline needles
// 4 - Can only carry one needle at a time
// 8 - Adrenaline only boosts stamina, not health 
// 16 - Adrenaline only boosts health, not stamina
// 32 - Adrenaline causes player's eyes to glow red when used
// Default: 0
set g_adrenaline 32

// g_noAttacklInvul - Removes spawn shield from a player once they begin to attack
// Default: 0
set g_noAttacklInvul 1

// g_defaultMute - The time, in seconds, that a mute command will last if no time parameter is entered.
// Default: 3600 (1 hour)
set g_defaultMute 3600

// g_weaponItems - customize how weapons are dropped upon limbo death
// 0 - Drop no weapons upon limbo death
// 1 - Drop primary weapon upon limbo death (default ET)
// 2 - Drops secondary weapons (pistols) upon limbo death
// 4 - Extra clips are included when you pickup a dropped weapon
// 8 - Pick up ammo you need from dropped weapons, but leave the gun and what ammo is left on the ground
// 16 - Do not pickup dropped weapons you don't need, guns that you already have, (but with no ammo), 
//      or if you have full ammo or that particular gun
// 32 - Do not ammo clips from dropped Garands
// Default: 1
set g_weaponItems 7

// g_missileHealth - Sets the amount of health a panzer/bazooka missile has. 
// Set this to 0 to make missiles indestructible.
// Default: 5
set g_missileHealth 5

// g_missileSpeed - Sets the speed a panzer/bazooka missile travels at. 
// Set to 0 to enable default speed. Values over 300 are ignored if Guided Rockets are enabled.
// Default: 0
set g_missileSpeed 0

// g_bulletReflect - Shooting at metal surfaces will reflect 
// the bullets back at the appropriate angle.  
// 1 - Reflect weapons that are set to reflect bullets  
// 2 - Reflect all weapons  
// Default: 0 
set g_bulletReflect 0

// g_falloff - Toggles falloff damage
// Default: 1
set g_falloff 1

// g_missileGravity - Sets gravity on Panzer and Bazooka rockets. This is not a bitmask.
// 1 - Strong gravity
// 2 - Weak gravity (realistic)
// Default: 0
set g_missileGravity 2

// g_fastBackStab - Backstabs insta-gibs players into limbo,
// making them unrevivable. Will play a unique animation on
// the stabbed player. 
// Default: 0
set g_fastBackStab 0

// g_realism - A few flags to add a bit of realism to the gameplay. 
// 1 - Play transition animations when going prone and standing up 
// from prone, overall it slows standing up from proning drastically.  
// 2 - Cannot use weapons while holding onto ladders  
// Default: 0
set g_realism 0

// g_announcer - killing spree announcer can be disabled by setting this to 0. 
// 0 - Disable announcer  
// 1 - Announce killing sprees  
// 2 - Announce death sprees  
// 4 - Announce multikills  
// Default: 7 
set g_announcer 7

// g_flushItems - Allows dropped items to lay flush with the angle of the ground 
// they are on. May cause items to turn when they hit the ground. 
// Default: 1 
set g_flushItems 1

// g_painAnims - Shows pain animations. This is a serverside CVAR because the pain 
// animations effect where the head hitbox is, when coupled with g_realHead.
// Default: 0 
set g_painAnims 0

// g_painChance - If g_painAnims is set to 1, this sets the percentage that a pain 
// animation will be played when hurt. Accepts values from 0 to 100. 
// Default: 25 
set g_painChance 25

// g_smokeColor_Allies - The randomness of color for Allied airstrikes and landmine 
// smoke. Setting these colors to zero, will make your smoke look flat in color, like 
// covert ops smoke does. Setting them high, like up to 1, will make the smoke have 
// high contrast.
// http://shitstorm.org/noquarter/wiki/index.php?title=Additions_%26_Features#Smoke_Color
// Values: [red green blue alpha] 
// Default: "0.1 0.1 0.6 0.0" 
set g_smokeColor_Allies "0.1 0.1 0.6 0.0"

// g_smokeMod_Allies - The constant of color for Allied airstrikes and landmine smoke. 
// This give your smoke their main color. Recommended values are .5 or less, otherwise
// your smoke may look to flat in color. 
// http://shitstorm.org/noquarter/wiki/index.php?title=Additions_%26_Features#Smoke_Color
// Values: [red green blue alpha] 
// Default: "0.0 0.0 0.1 0.5" 
set g_smokeMod_Allies "0.0 0.0 0.1 0.5"

// g_smokeColor_Axis - The randomness of color for Axis airstrikes and landmine 
// smoke. Setting these colors to zero, will make your smoke look flat in color, like 
// covert ops smoke does. Setting them high, like up to 1, will make the smoke have 
// high contrast. 
// http://shitstorm.org/noquarter/wiki/index.php?title=Additions_%26_Features#Smoke_Color 
// Values: [red green blue alpha] 
// Default: "0.6 0.1 0.1 0.0" 
set g_smokeColor_Axis "0.6 0.1 0.1 0.0"


// g_smokeMod_Axis - The constant of color for Axis airstrikes and landmine smoke. 
// This give your smoke their main color. Recommended values are .5 or less, otherwise
// your smoke may look to flat in color. 
// http://shitstorm.org/noquarter/wiki/index.php?title=Additions_%26_Features#Smoke_Color 
// Values: [red green blue alpha] 
// Default: "0.1 0.0 0.0 0.5" 
set g_smokeMod_Axis "0.1 0.0 0.0 0.5"

// g_maxLevel* - These are to cap the max level a player can gain in a skill. 
// This is in reaction to the new skill levels in No Quarter. If you don't like them,
// set all these to 5 and you'll never gain a skill above 4. Set them all to 0 to 
// disable skills all together.
// Default: 10 

set g_maxLevelBattleSense 10
set g_maxLevelLightWeapons 10
set g_maxLevelSoldier 10
set g_maxLevelMedic 10
set g_maxLevelEngineer 10
set g_maxLevelFieldOp 10
set g_maxLevelCovertOp 10

// g_multikillTime - The time, in milliseconds, that a player has to make another kill
// to be counted as a multikill. If g_multilkillTime milliseconds pass and a player 
// does not make another kill, the multikill is announced and reset. 
// Default: 1000 
set g_multikillTime 2500

// g_grenadeBonus - Customize the grenade loadout for higher levels 
// 1 - Additional grenades for levels above 4  
// 2 - Additional bonus grenades for high Light Weapons skill  
// Default: 3 
set g_grenadeBonus 3

// g_mortarBBox - Puts a bounding box (hitbox) around mortar shells, to prevent them 
// from going through small windows and other narrow gaps. 
// Default: 0 
set g_mortarBBox 0

// g_shotgunPellets - The number of pellets in a shotgun shell. Values above 50 may cause
// lag, especially with many shotguns. Recommended no higher than 20.
// Default: 12
set g_shotgunPellets 12

// g_weaponScriptsDir - Defines the directory that weapon scripts will be placed to edit 
// how weapons behave in NQ.
// Default: "" 
set g_weaponScriptsDir ""

// g_spectator - Sets flags for various spectator options.
// 1 - Freelook specs can aim and fire another player to follow.
// 2 - Players will have team colored glow arround them.
// 4 - Show player names above their heads
// Default: 0
set g_spectator 5

// g_HQMessages - Enables message to be sent from the HQ Commander, letting your team know what is required. No medics on your team will make him say "We need a medic!".
// 1 - Class balancing messages  
// 2 - "Lost most of our men" message, when majority of team is dead and in limbo.  
set g_HQMessages 0 

// jp_insanity - New fun modes!
// 1 - Instant Spawn
// 2 - Unlimited Ammo
// 4 - Mortar Cam 
// 8 - Rocket Cam
// 16 - Unlimited Charge
// 32 - Guided Rockets
// 64 - Homing Rocketes
// 128 - Unlocked Weapons
// 256 - Venom Mode
// 512 - Firebolt Throwing
set jp_insanity 0

////////////////////
//* Other CVARS * //
////////////////////

// g_throwDistance - Sets the distance a ammo or health pack is thrown. 
// Default: 75
set g_throwDistance 75

// g_dragCorpse - Enables players to drag wounded teammates to safety. 
// Default: 0
set g_dragCorpse 1

// g_dropObj - Enables players to drop a carried objective by switching to knife and hitting thier activate bind (default F)
// Default: 0
set g_dropObj 1

// g_slashkill - Sets flags for various spectator options.
// 1 - Player spawns with half charge bar after /kill.  
// 2 - Player spawns with 0 charge bar after /kill.  
// 4 - Restores the charge bar to the same state it was in at the moment the player issued /kill (regardless of how long they were in limbo), (sticky charge).  
// 8 - Disables /kill command.  
// 16 - Disable /kill when player is poisoned.  
// Default: 0
set g_slashkill 0

// g_spawnInvul - Sets spawn shield protection length.
// Default: 3
set g_spawnInvul 3 

// g_dropAmmo - Sets the amount of ammo packs a Field Ops drops when killed. 
// Default: 0 
set g_dropAmmo 1

// g_dropHealth - Sets the amount of med packs a Medic drops when killed. 
// Default: 0 
set g_dropHealth 1

// g_shortcuts - Toggles shortcuts for player names, current health and other useful info.
// Default: 0
set g_shortcuts 1

// g_shrubbot - Sets the name of the shrubbot config file (typically shrubbot.cfg). 
// When nothing is set, shrubbot features are disabled.
// Default: ""
set g_shrubbot "shrubbot.cfg"

// g_skills - Allows players to retain skill bonuses when playing other classes. 
// 1 - Flak Jacket carries over  
// 2 - Adrenaline carries over  
// 4 - Enemy recognition carries over  
// 8 - Assassin backstab bonus carries over  
// 16 - Landmine spotting ability carries over
// Default: 0 
set g_skills 16

// g_msgs - Duration between banner messages setting g_msgX cvars, 
// (g_msgs1, g_msg2, etc). The first missing g_msgX cvar will start the message 
// cycle over, back to the first message. 
// Default: 0 
set g_msgs 30

// g_msgPos - Change the location of banner messages if g_msgs is positive and 
// g_msgX cvars are set. 
// 0 - Chat area  
// 1 - Center of screen  
// 2 - Left notification area (CPM)  
// Default: 0
set g_msgPos 1

// g_msgX - Various CVARs that contain messages. g_msgs must be positive for these 
// to display. After the last g_msgX is displayed, the cycle will start over.
seta g_msg1 "^?-^3Welcome To ^1 No Quarter^?-^7"
seta g_msg2 "^?|^3Spawn Killing Is Allowed!^?|^7"
seta g_msg3 "^?|^3Don't Be A Jerk!^?|^7"
seta g_msg4 ""

// g_censor - A comma delimited string of words that will be censored from chat. 
// Default: "" 
set g_censor "fag,gay,shit,fuck,bitch,asshole,homo"

// g_censorMuteTime - When the value of g_censorPenalty contains flag 8, censored 
// player will be muted for g_censorMuteTime seconds.
// Default: 60 
set g_censorMuteTime "120"

// g_censorNames - A comma delimited string of words that will be censored from 
// player names. 
// Default: "" 
set g_censorNames "hitler,osama"

// g_censorPenalty - Sets the penalty for saying a word in the g_censor list. 
// 1 - Gib player  
// 2 - Kick players with names containing words in g_censorNames  
// 4 - Kill player, but don't gib (flag 1 has priority over this)  
// 8 - Auto-mute for g_censorMuteTime seconds.  
// 16 - Lose 10 XP  
// 32 - Burn  
// 64 - Poison
// Default: 0
set g_censorPenalty 48

// g_intermissionTime - Set the length of time the end of game screens displays before 
// loading the next map.
// Default: 60 
set g_intermissionTime 35

// g_intermissionReadyPercent - The percent of connected players who need to hit the 
// "READY" button to move on to the next map without waiting g_intermissionTime to run out. 
// Default: 100 
set g_intermissionReadyPercent 75

// g_mapScriptDirectory - Changes directory for custom mapscripts. 
// Similar to ETPro's "b_mapScriptsDirectory". 
// Default: "" 
set g_mapScriptDirectory ""

// g_canisterKick - Sets the scale of kicking grenades, airstike cans, and smoke cans. 
// Set to 0 to disable. Value of around 60 - 120 is reasonable. 
// Default: 0 
set g_canisterKick 80

// g_canisterKickOwner - If canister kicking is set to a positive integer and 
// g_canisterKickOnwer is enabled, ownership of a grenade or airstrike changes to the 
// last kicker. 
// Default: 0 
set g_canisterKickOwner 0

// g_classChange - Toggles team uniform stealing to switch classes.
// Default: 0 
set g_classChange 0

// g_constructibleXPsharing - Building objectives gives XP to all engineers building 
// an objective while you build it, rather than all at once when it is done. This is 
// done to avoid that one engineer that spends a long time building something and then
// another engineer walks up and finishes it off gaining the XP for it. 
// Default: 0 
set g_constructibleXPsharing 1

// g_doubleJump - Toggles double jumping. 
// Default: 0
set g_doubleJump 0

// g_doubleJumpHeight - Height boost gained by double jumping. 
// Default: 1.4 
set g_doubleJumpHeight 1.4

// g_shove - Sets the strength of player shoving.
// Set to 0 to disable.
// Default: 0
set g_shove 80

// g_shoveNoZ - Set to 1 to disable boosting when g_shove is enabled.
// Default: 0
set g_shoveNoZ 0

// g_asblock - enable airstrike blocking
// 1 - Make an announcement whenever an airstrike is blocked. 
// 2 - A player may easily block an airstrike by crouching, standing, or proning over 
//     the enemy's canister to block the airstrike. 
// 4 - Reserved. 
// 8 - Lvl 3 FieldOPs and higher cannot have the airstrikes blocked by players. 
// Default: 0
set g_asblock 0

// g_fear
// Credit given to a player when and opponent uses /kill within g_fear milliseconds. 
// Set to 0 to disable. 
// Default: 2000
set g_fear 2000

// g_goomba - Players can damage each other by landing on each other. 
// The value of g_goomba is a multiplier of how much damage is given. 
// Setting this to 0 disables goomba killing. 
// Default: 0 
set g_goomba 0

// g_goombaFlags - This is a bitflag cvar that controls the way g_goomba is handled 
// 1 - Cannot goomba teammates  
// 2 - Hopping on another player does no damage.  
// 4 - Hopping on a teammate does no damage.  
// 8 - Falling player recieves no damage when landing on any other player.  
// 16 - Insta-gib goomba damage.  
// Default: 25 
set g_goombaFlags 25

// g_headshot - Enables headshot mode. 
// Only headshots from weapons that can make headshots will hurt players. 
// Explosions, MGs, shotgun, knives, goombas, etc. will cause no damage. 
// Default: 0
set g_headshot 0

// g_playdead - enabled playing dead with /playdead
// Default: 0
set g_playdead 1

// g_medics - sets versious flags to customize medics.
// 1 - Medics can't pick up their own health packs to cure themselves of poison needle effects 
// 2 - Medics can't pick up their own health packs at all.
// 16 - Medics do not spawn with akimbo pistols, regardless of their light weapons skill 
// 32 - Medics spawn with pistol only, and can't pick up SMG of either team However, any class can steal
//      a medics uni, if g_classChange is set to 1, and receive the medic benefits while retaining their 
//      current weapons, including akimbos and SMG 
// 64 - Medics can use syringes to heal living teammates as an alternative to the tk/revive cycle, if the
//      teammate's health is < 25% their total HP 
// 256 - Level 4 medics cannot adrenaline self. 
set g_medics 65

// g_realHead - Head hitbox will follow the animation that is played, just like ETPro. 
// This is HIGHLY recommended. 
// Default: 1 
set g_realHead 1

// team_max[Weapon] - sets maximum amount of perticular weapons per team.
// Set to -1 to allow unlimited, set to 0 to disable the weapon.
set team_maxPanzers 3
set team_maxMortars -1
set team_maxRifleGrenades -1
set team_maxMG42 -1
set team_maxFlamers -1
set team_maxShotguns -1
set team_maxVenoms -1
set team_maxLandmines 10

// team_artyTime - The time (in seconds) that must elapse between artillery strikes per team.
// Default: 10
set team_artyTime 10

// team_airstrikeTime - The time (in seconds) that must elapse between airstrikes strikes per team.
// Default: 10
set team_airstrikeTime  10

// g_XPSave - Sets flags for allowing per player XP saving between campaigns, rounds, etc. 
// 0 - Disable XP saving  
// 1 - Store XP when a client disconnects  
// 2 - Don't reset XP to the pre-map start values on a map restart, shuffle, etc..  
// 4 - Never ever reset xp  
// 8 - Force the disconnection of clients with the same GUID as the connecting client. 
//     This is useful in saving the stored XP of players with unreliable network connections 
//     since they should still get their stored XP even if reconnecting immediately with a new IP address  
// Default: 0 
set g_XPSave "15"

// g_XPSaveFile - Sets the filename of your old xpsave.cfg that will be converted to new XP format upon starting the server. 
// This file will be relative to your fs_game directory (much like g_shrubbot). 
// Default: "xpsave.cfg" 
set g_XPSaveFile "xpsave.cfg"

// g_XPSaveMaxAge - The number of seconds that must pass without a connection from this player before
// XPSave forgets their XP and skills. 
// Default: 86400 (1 day) 
set g_XPSaveMaxAge 86400

// g_XPDecay - Decays players' XP on the server when set to 1. 
// This feature is mainly used with the g_XPSave 4 flag which allows XP to continue building forever. 
// 1 - Enable XP Decay  
// 2 - Do not decay a player's XP when they are disconnected from the server.  
// 4 - Do not decay a player's XP for the class they are currently playing as.  
// 8 - Do not decay a player's XP while they are spectating  
// 16 - Do not decay a player's XP during warmup/intermission  
// 32 - Do not decay a player's XP when he/she is playing on a team.  
// 64 - Do not decay a player's Battle Sense XP when he/she is playing.  
// 128 - Do not decay a player's Light Weapons XP when he/she is playing.  
// Default: 0 
set g_XPDecay 0

// g_XPDecayFloor - This is the minimum that any particular skill can be reduced to by g_XPDecay. 
// For example, setting this to 540.0 will ensure that no player will ever lose rank or
// skill levels due to g_XPDecay. 
// Default: 0 
set g_XPDecayFloor 540

// g_XPDecayRate - This is the rate (in skill points per second) that XP skill points for EACH 
// skill will decay when g_XPDecay is enabled. Setting this to 0.2 would result in a player losing
// 12 points per minute IN ALL SKILLS, so up to 84XP per minute if the player has skill points for each skill. 
// Default: 0 
set g_XPDecayRate 0

// g_maxXP - This will reset a players XP once their overall XP score reaches it.
// It useful for servers with XPSave that never resets. Set to -1 to disable. 
// Default: -1 
set g_maxXP 10000

// skill_[Skill] - Sets the amount of XP required to gain a skill level per class.
// Default: "20 50 90 140 200 270 350 440 540"
seta skill_lightWeapons "20 50 90 140 200 270 350 440 540"
seta skill_battleSense "20 50 90 140 200 270 350 440 540"
seta skill_soldier "20 50 90 140 200 270 350 440 540"
seta skill_medic "20 50 90 140 200 270 350 440 540"
seta skill_engineer "20 50 90 140 200 270 350 440 540"
seta skill_fieldops "20 50 90 140 200 270 350 440 540"
seta skill_covertops "20 50 90 140 200 270 350 440 540"
